kde 3.5.5 con Smart su Mandriva 2007

Ven, 10/11/2006 - 15:52

kde 3.5.5 con Smart su Mandriva 2007

Inviato da cosmico 19 commenti

E' da poco uscita la nuova versione di KDE 3.5.5 e con facilità si può installare sulla nuova Mandriva 2007. Intanto è preferibile usare smart come gestore di pacchetti; infatti con urpmi bisogna prima rimuovere il Kde 3.5.4 di default, con Smart non è necessario.

Quindi

$su

$passwordroot
#urpmi smart smart-update smart-gui

Fatto questo andare su http://easyurpmi.zarb.org/ e configuare tutte le fonti ricordandosi di scegliere smart invece del predefinito urpmi.

Andare sul sito http://www.seerofsouls.com/2007.html e configuare le fonti smart seguendo le facili indicazioni (basta copiare i comandi da shell ricordandosi di essere root).

Fatto ciò non resta che avviare smart:

#smart --gui

cliccare su update channels poi Edit-Upgrade All e al termine dell'installazione dei pacchetti riavviare il Pc. Al riavvio ecco il nuovo KDE!

Non mi assumo responsabilità di alcun tipo in caso di problemi!!!!

In:



Commenti

Ritratto di Moreno
#1

Inviato da Moreno il Ven, 10/11/2006 - 23:12.

Ed il pacchetto smart-gui ??

Ciao

Come mai usi smart --gui e non utilizzi il programma contenuto nel pacchetto smart-gui che crea anche la voce di menu ??

Giusto per precisare i pacchetti smart si trovano nella sezione Contrib della Mandriva 2007.

Vedo con piacere che anche Sos è giunto con i suoi pacchetti KDE 3.5.5 per mandriva 2007.

Ciao Ciao Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.



Ritratto di cosmico
#2

Inviato da cosmico il Sab, 11/11/2006 - 01:11.

Re: Ed il pacchetto smart-gui ??

Sì, si può usare anche questo pacchetto ksmarttray, un icona utile che informa degli aggiornamenti.

Ciao

Linux Registered User Mandriva 2008 Spring #369296



Ritratto di freed
#3

Inviato da freed il Sab, 11/11/2006 - 02:15.

Re: Ed il pacchetto smart-gui ??

si infatti si può usare smart-gui
o anche smart-root --gui da utente normale
ciao
max



Ritratto di manderlini
#4

Inviato da manderlini il Sab, 11/11/2006 - 14:14.

Re: Ed il pacchetto smart-gui ??

Scusate ragz ma a me da questo errore:
Traceback (most recent call last):
File "/usr/lib/python2.4/site-packages/smart/interface.py", line 150, in createInterface
smart = __import__("smart.interfaces."+xname)
ImportError: No module named gtk
Traceback (most recent call last):
File "/usr/bin/smart", line 161, in main
forcelocks=opts.ignore_locks, loglevel=opts.log_level)
File "/usr/lib/python2.4/site-packages/smart/__init__.py", line 122, in init
iface.object = createInterface(ifacename, ctrl, command, argv)
File "/usr/lib/python2.4/site-packages/smart/interface.py", line 157, in createInterface
raise Error, _("Interface '%s' not available") % name
Error: Interface 'gtk' not available
error: Interface 'gtk' not available

Cosa manca :-o

grazie x l'aiuto



Ritratto di cosmico
#5

Inviato da cosmico il Sab, 11/11/2006 - 14:21.

Re: Ed il pacchetto smart-gui ??

prova a reistallare smart smart-gui(lo hai istallato configurando tutte le fonti di easyurpmi?). Comunque da root, dopo aver configurato le fonti come da guida, puoi fare il tutto da shell:

#smart update e poi
#smart upgrade

ciao

Linux Registered User Mandriva 2008 Spring #369296



Ritratto di freed
#6

Inviato da freed il Sab, 11/11/2006 - 16:55.

Re: Ed il pacchetto smart-gui ??

una cosa attenzione:
ho verificato che su smart quando si modifica o si elimina una fonte, non c'è l'automatismo che elimina i corrispondenti file dalla cartella di smart nella partizione root
quindi rimangono file inutili che occupano parecchio spazio
se si vuole eliminarli manualmente (con molta attenzione!) si deve andare nella cartella di smart (da root) in
/var/lib/smart/channels
ed eliminare SOLO i file corrispondenti ai mirror eliminati o modificati

ciao
max

ps:
no in realtà l'automatismo pare ci sia, forse l'altro giorno sono stato io a pasticciare con i repository Smile



Ritratto di totote
#7

Inviato da totote il Sab, 20/01/2007 - 18:39.

Re: Ed il pacchetto smart-gui ??

Io ho risolto tutto così:
Disistallare smart, rpm-python.
Reinstallare il tutto da cooker-main.



Ritratto di Draco
#8

Inviato da Draco il Dom, 12/11/2006 - 09:29.

Errore con smart --gui

Ciao a tutti, quando esegui smart --gui ottengo solo questo...
Quote:

Traceback (most recent call last):
File "/usr/bin/smart", line 194, in ?
main(sys.argv[1:])
File "/usr/bin/smart", line 161, in main
forcelocks=opts.ignore_locks, loglevel=opts.log_level)
File "/usr/lib/python2.4/site-packages/smart/__init__.py", line 122, in init
iface.object = createInterface(ifacename, ctrl, command, argv)
File "/usr/lib/python2.4/site-packages/smart/interface.py", line 158, in createInterface
return interface.create(ctrl, command, argv)
File "/usr/lib/python2.4/site-packages/smart/interfaces/gtk/__init__.py", line 43, in create
from smart.interfaces.gtk.interactive import GtkInteractiveInterface
File "/usr/lib/python2.4/site-packages/smart/interfaces/gtk/interactive.py", line 29, in ?
from smart.interfaces.gtk.packageview import GtkPackageView
File "/usr/lib/python2.4/site-packages/smart/interfaces/gtk/packageview.py", line 27, in ?
class PixbufCellRenderer(gtk.GenericCellRenderer):
AttributeError: 'module' object has no attribute 'GenericCellRenderer'

Idee su come risolvere?



Ritratto di cosmico
#9

Inviato da cosmico il Dom, 12/11/2006 - 18:02.

Re: Errore con smart --gui

#urpmi smart-gui

NB Per chi non è molto esperto consiglio di tenersi la versione di kde di default; è più stabile.....

Linux Registered User Mandriva 2008 Spring #369296



Ritratto di freed
#10

Inviato da freed il Dom, 12/11/2006 - 19:40.

Re: Errore con smart --gui

sono d'accordo con cosmico anche se devo dire che il kde di SoS a me non ha dato alcun problema di stabilità (fin'ora Laughing